const express = require("express");
const router = express.Router();

const {
  add,
  getByPackageId,
  edit,
  getAll,
  deleteit,
  getAllDaysOfForFilter,
} = require("../controllers/itinariesController");

router.post("/", add);
router.get("/get-itinary-by-package-id/:id/:lang", getByPackageId);
router.put("/:id", edit);
router.get("/", getAll);
router.delete("/:id", deleteit);
router.get("/get-all-days-of", getAllDaysOfForFilter);

module.exports = router;
